complexType "UnderlyerInterestLeg"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 9 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | legIdentifier*, payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, effectiveDate?, terminationDate?, (fixedRate? | spreadSchedule*)?
</...>

Content Model Elements (9):

  effectiveDate (defined in DirectionalLeg complexType),
  fixedRate (in underlyerFinancing),
  legIdentifier,
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group),
  spreadSchedule (in underlyerFinancing),
  terminationDate (defined in DirectionalLeg complexType)

All Direct / Indirect Based Elements (1):

  underlyerFinancing

Known Usage Locations

- As direct type of elements (1):
  underlyerFinancing

Annotation
A type describing interest payments associated with and underlyer, such as financing
Type Definition Detail

Type Derivation Tree Leg (extension) DirectionalLeg (extension) UnderlyerInterestLeg

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="UnderlyerInterestLeg"> <xsd:complexContent> <xsd:extension base="DirectionalLeg"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="fixedRate" type="xsd:decimal"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="spreadSchedule" type="SpreadSchedule"/> </xsd:choice> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/9)
fixedRate

  Type: | xsd:decimal, predefined, simple content

  The calculation period fixed rate. A per annum rate, expressed as a decimal. A fixed rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedRate" type="xsd:decimal"/>

spreadSchedule

  Type: | SpreadSchedule, complex content

  The ISDA Spread or a Spread schedule expressed as explicit spreads and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. The spread is a per annum rate, expressed as a decimal. For purposes of determining a calculation period amount, if positive the spread will be added to the floating rate and if negative the spread will be subtracted from the floating rate. A positive 10 basis point (0.1%) spread would be represented as 0.001.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="spreadSchedule" type="SpreadSchedule"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.